import { MetadataSearchInput } from 'app/shared/model/search/metadata-search-input.model';
import { FulltextSearchSelection } from 'app/shared/model/fulltext-search-selection.model';

export class SearchInput {
  public fulltextQuery: string;
  public fulltextSelection: FulltextSearchSelection;
  public metadata: MetadataSearchInput;
  public page: number;

  public constructor() {
    this.fulltextQuery = '';
    this.fulltextSelection = new FulltextSearchSelection();
    this.metadata = new MetadataSearchInput();
    this.page = 0;
  }

  setValues(value: Record<string, any>): void {
    this.fulltextQuery = value.searchText;
    this.page = value.page;
    this.metadata.programmingLanguage = value.programmingLanguage;
    this.metadata.keyword = value.keyword;
    this.metadata.author = value.author;
    this.metadata.license = value.license;
  }
}
